Subject: Usenet News Post

From: Robert Nicholson <[email-masked]>
Date: Tue, 15 Mar 94 16:04:44 GMT

Well I have a solution that is to my liking.  Except I always have to
press return to get the Copies to: prompt in elm after Subject:

Anyway, the objective was to be able to use elm for all news
contributions.  reply/followup.  This way I can then store my postings
and replies in =sent or filter based on Subject: and store them in a
separate folder.

So here's what I did.

Any improvements are welcome.

For Replies I added the following to .zshenv

export MAILPOSTER="elm -i %h -s \"Re: %S\" %t" (Thanks to the FAQ)

This invokes elm for replies within trn.

That's the easy bit because elm always wants an address to mail to.

For Followups it's a bit more involved.

Now I didn't like the idea of relying on mail2news gateways in order to
post news.  So I chose to set up an alias to handle postings.

export NEWSPOSTER="elm -i %h -s \"Usenet News Post\n\n\" usenetnews"

The postings go to the usenetnews (as opposed to usenet) alias.

This gets processed in procmail thus.

:0b
* ^TOusenetnews
| sed -n '/Newsgroups/,$p' | /usr/local/news/inews -h

---

If anybody knows how I can strip the second set of elm headers so that
the sed can be removed, then let me know.

A message _body_ usually looks like this.

To: usenetnews
Date: Tue, 15 Mar 1994 15:43:34 +0000 (GMT)
cc: robert
X-Mailer: ELM [version 2.4 PL23]
Content-Type: text
Content-Length: 171       

Newsgroups: alt.test
Subject: testing
Summary: 
Expires: 
Sender: 
Followup-To: 
Distribution: world
Organization: me organised, that's a joke.
Keywords: 
Cc: 

Testing.